Bug 976411 - tomcat7 rpm verify problem
tomcat7 rpm verify problem
Status: VERIFIED
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: tomcat7 (Show other bugs)
2.0.1
Unspecified Unspecified
unspecified Severity low
: ER03
: 2.1.0
Assigned To: Coty Sutherland
Pavel Slavicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 10:02 EDT by Michal Haško
Modified: 2015-11-02 04:33 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In JBoss Enterprise Web Server, the output of the following command shows that the file is owned by two packages, <classname>tomcat7-el-1.0-api-7.0.40-5_patch_01.ep6.el5</classname> and <classname>tomcat7-lib-7.0.40-5_patch_01.ep6.el5</classname>: <screen>rpm -qf /usr/share/java/tomcat7/tomcat7-el-1.0-api-7.0.40.jar</screen> As a consequence the following command shows wrong ownership of <filename>/usr/share/java/tomcat7/tomcat7-el-1.0-api-7.0.40.jar</filename>: <screen>rpm -V tomcat7-el-1.0-api</screen> This issue is fixed in JBoss Enterprise Web Server 2.1.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Haško 2013-06-20 10:02:52 EDT
Description of problem:
"rpm -V tomcat7-el-1.0-api" shows wrong group ownership of:
/usr/share/java/tomcat7/tomcat7-el-1.0-api-7.0.40.jar

Version-Release number of selected component (if applicable):
tomcat7-el-1.0-api-7.0.40-5_patch_01.ep6.el5

How reproducible:
100%

Steps to Reproduce:
1. rpm -V tomcat7-el-1.0-api

Actual results:
......G.    /usr/share/java/tomcat7/tomcat7-el-1.0-api-7.0.40.jar

Expected results:
no output

Additional info:
rpm -qf /usr/share/java/tomcat7/tomcat7-el-1.0-api-7.0.40.jar shows that the file (symlink) is owned by two packages:
tomcat7-el-1.0-api-7.0.40-5_patch_01.ep6.el5
tomcat7-lib-7.0.40-5_patch_01.ep6.el5
This is most probably the cause of this problem. I haven't checked, but I think one of the rpms contains the symlink with different group ownership.
Comment 2 David Knox 2014-01-08 11:50:26 EST
The resolution of rhbz 901173 resolves this also. The current version of el-api is 2.2 but was still labeled/named 1.0. This was true of the alternatives install as well. This bz was fixed in the process of relabeling and fixing alternatives install to use the correct name.
Comment 3 Libor Fuka 2014-06-27 08:25:23 EDT
Check it, please.
Comment 4 Michal Haško 2014-07-17 09:33:48 EDT
VERIFIED on tomcat7-el-2.2-api-7.0.54-2_patch_01.ep6.el7.noarch
Comment 5 Mandar Joshi 2014-08-10 03:48:23 EDT
Added Doc Text.

Note You need to log in before you can comment on or make changes to this bug.